package com.aspose.cells.demos.formatting;

import javax.servlet.http.HttpServletRequest;

import com.aspose.cells.Cell;
import com.aspose.cells.Cells;
import com.aspose.cells.Color;
import com.aspose.cells.Font;
import com.aspose.cells.Style;
import com.aspose.cells.Workbook;
import com.aspose.cells.Worksheet;
import com.aspose.cells.WorksheetCollection;
import com.aspose.cells.demos.DemoBaseServlet;

public class FontSettingServlet extends DemoBaseServlet
{
    @Override
    protected Workbook createReport(HttpServletRequest request) throws Exception
    {
        resultFile = "FontSetting.xls";
        Workbook workbook = new Workbook();
        createStaticReport(workbook);
        return workbook;
    }

    private void createStaticReport(Workbook workbook)
    {
        WorksheetCollection worksheets = workbook.getWorksheets();
        Worksheet worksheet = worksheets.get(0);

        Cells cells = worksheet.getCells();
        Cell cell;
        Style style;

        //Set font to A2
        cell = cells.get("A2");
        cell.setValue("Aspose");
        style = cell.getStyle();
        Font font1 = style.getFont();
        font1.setColor(Color.getRed());
        cell.setStyle(style);

        //Set font to B2
        cell = cells.get("B2");
        cell.setValue("Aspose");
        style = cell.getStyle();
        Font font2 = style.getFont();
        font2.setBold(true);
        cell.setStyle(style);

        //Set font to C2
        cell = cells.get("C2");
        cell.setValue("Aspose");
        style = cell.getStyle();
        Font font3 = style.getFont();
        font3.setItalic(true);
        cell.setStyle(style);
    }
}
