package com.aspose.cells.demos.smartmarker;

import com.aspose.cells.*;
import java.util.ArrayList;

public class DataTable implements ICellsDataTable
{
    private ArrayList<Person> list = null;
    private int index;

    public DataTable()
    {
        list = new ArrayList<Person>();
        for(int i = 0; i < 10; i++)
        {
            Person person = new Person("" + i, "Person" + i);
            list.add(person);
        }
        index = -1;
    }

    public String[] getColumns()
    {
        return new String[]
        {
                "id", "name"
        };
    }

    public int getCount()
    {
        return this.list.size();
    }

    public void beforeFirst()
    {
        index = -1;
    }

    public Object get(int columnIndex)
    {
        if(index < 0 || index >= this.getCount())
        {
            return null;
        }
        Person person = this.list.get(index);
        switch (columnIndex)
        {
            case 0:
                return person.getId();
            case 1:
                return person.getName();
            default:
                return null;
        }
    }

    public boolean next()
    {
        index += 1;
        if(index >= this.getCount())
        {
            return false;
        }
        return true;
    }

    /**
     * Returns the value of the designated column in the current row.
     * 
     * @param columnName
     *            the property name of the POJO.
     * @return the value of the designated column in the current row.
     */
    public Object get(String columnName)
    {
        Person person = this.list.get(index);
        if(columnName.equals("id"))
        {
            return person.getId();
        }
        if(columnName.equals("name"))
        {
            return person.getName();
        }

        return null;
    }

}
